PYECM(1)

NAME
pyecm - Number factorization with the Elliptic Curve Method

SYNOPSIS
pyecm [OPTIONS] [FACTORS]...

DESCRIPTION

pyecm factors numbers using the Elliptic Curve Method (ECM). If FACTORS is given, it will factor each one of these. Otherwise, it will factor from standard input. You can type "exit" to quit pyecm at any time.

-h, --help
    Get help using pyecm.

--portion=num
    Does only part of the work for factoring, corresponding to what fraction of the total work the machine is doing. Useful for working in parallel. For example, if there are three machines: 1GHz, 1GHz, and 2GHz, print should be set to 0.25 for the 1GHz machines and 0.5 for the 2GHz machine. Implies -r and -v. -r is needed to avoid duplicating work and -v is needed to report results.

--ov=num
    Sets the value of the internal parameter ov, which determines the trade-off between memory and time usage. Do not touch if you do not know what you are doing. Please read all the documentation and understand the full implications of the parameter before using this switch.

-n, --noverbose
    Terse. On by default. Needed to cancel the -v from the --portion or --random switches. If both -n and -v are specified, the one specified last takes precedence.

-r, --random
    Chooses random values for sigma, an internal parameter in the calculation. Implies -v; if you're doing something random, you want to know what's happening.

-v, --verbose
    Explains what is being done with intermediate calculations and results.

EXAMPLES

pyecm 2^3-1 1000 "(3^13+2)*5"
    Factor 7, 1000, then 7971625.

pyecm
    Get factors from standard input.

AUTHOR
Written by Eric Larson and Martin Kelly.

REPORTING BUGS
Please send bugs to Eric Larson <elarson3@uoregon.edu>.